Bug 1012989 - pulp-manage-db deprecation warning on rhel6
pulp-manage-db deprecation warning on rhel6
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 10:14 EDT by Preethi Thomas
Modified: 2015-02-28 16:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:58:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 374 None None None Never

  None (edit)
Description Preethi Thomas 2013-09-27 10:14:36 EDT
Description of problem:
I see the following error on running pulp-manage-db on a el6


[root@pulp-node2 ~]# pulp-manage-db 
Beginning database migrations.
/usr/lib/python2.6/site-packages/pulp/server/db/connection.py:103: DeprecationWarning: The safe parameter is deprecated. Please use write concern options instead.
  return method(*args, **kwargs)
Applying pulp.server.db.migrations version 1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Chris Duryee 2014-11-10 10:00:24 EST
This is still outstanding as of pulp 2.4.3
Comment 2 Brian Bouterse 2015-02-28 16:58:55 EST
Moved to https://pulp.plan.io/issues/374

Note You need to log in before you can comment on or make changes to this bug.